@model ICollection<ProductViewModel>
@{
    ViewData["Title"] = "Index";
}

<h1>@ViewBag.Title</h1>

<div>
    <p class="alert alert-info">
        Registered products:
        <span>
            <b>@Model.Count</b>
        </span>
    </p>
</div>
<div class="container">
    <table class="table users-table">
        <thead class="thead-dark">
        <tr>
            <td>
                Name
            </td>
            <td>
                Price
            </td>
            <td>
                Description
            </td>
            <td>
                Actions
            </td>
        </tr>
        </thead>
        <tbody>
        @foreach (var product in Model)
        {
            <tr>
                <td>
                    @product.Name
                </td>
                <td>
                    @product.Price
                </td>
                <td>
                    @product.Description
                </td>
                <td class="actions">
                    <a asp-action="Edit" class="btn btn-info" asp-route-id="@product.Id">Edit</a>
                    <form asp-action="Remove" method="post">
                        <input type="hidden" value="@product.Id" name="id"/>
                        <button type="submit" class="btn btn-danger">Remove</button>
                    </form>
                </td>
            </tr>
        }
        </tbody>
    </table>

    <a asp-action="Create" class="btn btn-success">Add product</a>
</div>